An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn mor

hi. i run dada2 with qiime2020.8 but this error apeared, what problem is it?

qiime dada2 denoise-paired --i-demultiplexed-seqs /home/user1/chavez/paired-end-demux.qza --p-trunc-len-f 208 --p-trunc-len-r 209 --o-representative-sequences rep-seqs-dada2.qza --o-table table-dada2.qza --o-denoising-stats stat-dada2.qza --p-n-threads 4 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpiddgg2wf/forward /tmp/tmpiddgg2wf/reverse /tmp/tmpiddgg2wf/output.tsv.biom /tmp/tmpiddgg2wf/track.tsv /tmp/tmpiddgg2wf/filt_f /tmp/tmpiddgg2wf/filt_r 208 209 0 0 2.0 2.0 2 independent consensus 1.0 4 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.4.6 / RcppParallel: 5.0.0

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 20368, 20300.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 27500, 27435.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 62400, 62335.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 53778, 53700.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 20368, 20300.
    Execution halted
    Traceback (most recent call last):
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired
    run_commands([cmd])
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/subprocess.py”, line 438, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpiddgg2wf/forward’, ‘/tmp/tmpiddgg2wf/reverse’, ‘/tmp/tmpiddgg2wf/output.tsv.biom’, ‘/tmp/tmpiddgg2wf/track.tsv’, ‘/tmp/tmpiddgg2wf/filt_f’, ‘/tmp/tmpiddgg2wf/filt_r’, ‘208’, ‘209’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘4’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.
(qiime2-2020.8) [email protected]:~/chavez$
(qiime2-2020.8) [email protected]:~/chavez$ qiime dada2 denoise-paired --i-demultiplexed-seqs /home/user1/chavez/paired-end-demux.qza --p-trunc-len-f 208 --p-trunc-len-r 209 --o-representative-sequences rep-seqs-dada2.qza --o-table table-dada2.qza --o-denoising-stats stat-dada2.qza --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpcgxrdksg/forward /tmp/tmpcgxrdksg/reverse /tmp/tmpcgxrdksg/output.tsv.biom /tmp/tmpcgxrdksg/track.tsv /tmp/tmpcgxrdksg/filt_f /tmp/tmpcgxrdksg/filt_r 208 209 0 0 2.0 2.0 2 independent consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.4.6 / RcppParallel: 5.0.0

  1. Filtering Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 20368, 20300.
    Execution halted
    Traceback (most recent call last):
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired
    run_commands([cmd])
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/subprocess.py”, line 438, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpcgxrdksg/forward’, ‘/tmp/tmpcgxrdksg/reverse’, ‘/tmp/tmpcgxrdksg/output.tsv.biom’, ‘/tmp/tmpcgxrdksg/track.tsv’, ‘/tmp/tmpcgxrdksg/filt_f’, ‘/tmp/tmpcgxrdksg/filt_r’, ‘208’, ‘209’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.
(qiime2-2020.8) [email protected]:~/chavez$ df
Filesystem 1K-blocks Used Available Use% Mounted on
udev 8167448 0 8167448 0% /dev
tmpfs 1639172 1544 1637628 1% /run
/dev/xvda5 66044376 24146996 38499492 39% /
tmpfs 8195848 0 8195848 0% /dev/shm
tmpfs 5120 0 5120 0% /run/lock
tmpfs 8195848 0 8195848 0% /sys/fs/cgroup
/dev/loop1 261760 261760 0 100% /snap/gnome-3-34-1804/36
/dev/loop0 56320 56320 0 100% /snap/core18/1880
/dev/loop2 63616 63616 0 100% /snap/gtk-common-themes/1506
/dev/loop3 51072 51072 0 100% /snap/snap-store/467
/dev/loop4 30720 30720 0 100% /snap/snapd/8542
/dev/xvda1 523248 4 523244 1% /boot/efi
/dev/loop5 31872 31872 0 100% /snap/snapd/10492
/dev/loop6 56832 56832 0 100% /snap/core18/1944
/dev/loop7 66432 66432 0 100% /snap/gtk-common-themes/1514
/dev/loop8 52352 52352 0 100% /snap/snap-store/518
/dev/loop9 223232 223232 0 100% /snap/gnome-3-34-1804/60
tmpfs 1639168 40 1639128 1% /run/user/1000
(qiime2-2020.8) [email protected]:~/chavez$ qiime dada2 denoise-paired --i-demultiplexed-seqs /home/user1/chavez/paired-end-demux.qza --p-trunc-len-f 208 --p-trunc-len-r 209 --o-representative-sequences rep-seqs-dada2.qza --o-table table-dada2.qza --o-denoising-stats stat-dada2.qza --p-n-threads 0 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpucft1x0s/forward /tmp/tmpucft1x0s/reverse /tmp/tmpucft1x0s/output.tsv.biom /tmp/tmpucft1x0s/track.tsv /tmp/tmpucft1x0s/filt_f /tmp/tmpucft1x0s/filt_r 208 209 0 0 2.0 2.0 2 independent consensus 1.0 0 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.4.6 / RcppParallel: 5.0.0

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 20368, 20300.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 27500, 27435.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 62400, 62335.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 53778, 53700.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 21600, 21558.
    Execution halted
    Traceback (most recent call last):
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired
    run_commands([cmd])
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/subprocess.py”, line 438, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpucft1x0s/forward’, ‘/tmp/tmpucft1x0s/reverse’, ‘/tmp/tmpucft1x0s/output.tsv.biom’, ‘/tmp/tmpucft1x0s/track.tsv’, ‘/tmp/tmpucft1x0s/filt_f’, ‘/tmp/tmpucft1x0s/filt_r’, ‘208’, ‘209’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.
(qiime2-2020.8) [email protected]:~/chavez$ qiime dada2 denoise-paired --i-demultiplexed-seqs /home/user1/chavez/paired-end-demux.qza --p-trunc-len-f 0 --p-trunc-len-r 0 --o-representative-sequences rep-seqs-dada2.qza --o-table table-dada2.qza --o-denoising-stats stat-dada2.qza --p-n-threads 0 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp4kxzt9s1/forward /tmp/tmp4kxzt9s1/reverse /tmp/tmp4kxzt9s1/output.tsv.biom /tmp/tmp4kxzt9s1/track.tsv /tmp/tmp4kxzt9s1/filt_f /tmp/tmp4kxzt9s1/filt_r 0 0 0 0 2.0 2.0 2 independent consensus 1.0 0 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.4.6 / RcppParallel: 5.0.0

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 20368, 20300.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 27500, 27435.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 62400, 62335.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 53778, 53700.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 21600, 21558.
    Execution halted
    Traceback (most recent call last):
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired
    run_commands([cmd])
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/subprocess.py”, line 438, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp4kxzt9s1/forward’, ‘/tmp/tmp4kxzt9s1/reverse’, ‘/tmp/tmp4kxzt9s1/output.tsv.biom’, ‘/tmp/tmp4kxzt9s1/track.tsv’, ‘/tmp/tmp4kxzt9s1/filt_f’, ‘/tmp/tmp4kxzt9s1/filt_r’, ‘0’, ‘0’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/user1/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

Hello @Rm733. In this thread they discuss a potential solution to the problem you’re having. Please try it and let me know if it works. Thank you.